Subject: Re: GNU compilers, new Cygnus license wories.
From: [email-masked] (Jan-Jaap van der Heijden)

12 Jul 1997 16:34:00 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Reply-To: Jan-Jaap van der Heijden <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
Original-To: Henrik Geleff <[email-masked]>
Original-cc: Jan-Jaap van der Heijden <[email-masked]>,
        GNU-Win32 list <[email-masked]>
In-Reply-To: <[email-masked]>
Original-Sender: [email-masked]

On Sat, 12 Jul 1997, Henrik Geleff wrote:

> Jan-Jaap van der Heijden wrote:
> 
> > ...
> 
> > It is allowed to use GCC, as part of the GNUPro toolkit, with
> > cygwin.dll.
> > But, once I modify GCC, it is no longer part of the "GNUPro_Toolkit
> > produced by Cygnus Solutions", and I am not allowed to use it with
> > cygwin.dll. This effectively limits my freedom to modify GCC
> > and distribute modified copies. An example of such a modified GCC is
> > the "mingw32" project.
> >
> mingw32 does not use cygwin.dll, mingw32 replaces it and in fact reduces
> the memory requirements of small GUI applications as well as speeding
> the load time.
> 
> I have not read the license in detail, but mingw32 avoids the quoted
> clauses.

mingw32 generates executables that do not require cygwin.dll.

The compiler executable itself still uses cygwin.dll.
If Cygnus restricts the usage of cygwin.dll to the GNUPro kit as
distributed by Cynus, then using cygwin.dll as part of a modified GCC
toolchain such as mingw32 would not be legal anymore.

However, it is possible to rebuild GCC itself using mingw32 instead of
cygwin32. You loose the unix abstraction layer, but then again, you don't
have to mount your own C-drive any more, or such, all of which sounds
pretty alien to the average windows user. 

I have the first mingw32-based GCC up and running. It's pretty much what
you would image what win32-djgpp would look like :-)

regards,
JanJaap

---
With sufficient thrust, pigs fly just fine. However, this is not
necessarily a good idea. It is hard to be sure where they are going
to land, and it could be dangerous sitting under them as they fly
overhead.  -- RFC1925.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".